html {
  /* font-family: Roboto, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto,
    Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif; */
  font-family: Arial, Helvetica, sans-serif;
}
html * {
  -webkit-font-smoothing: antialiased;
}
body {
  padding-top: 80px;
  scroll-padding-top: 80px;
}

body ::selection {
  background: rgba(74, 124, 246, 0.2);
  color: #e5422b;
}

/*===================================
00 -> LAYOUT
=====================================*/
.container {
  margin: auto;
  max-width: 1240px;
  width: 90%;
}

/* @media only screen and (min-width: 30em) {
  .container {
    width: 90%;
  }
} */

.main-header {
  height: 80px;
}

.main-header__nav [aria-haspopup]:hover .main-header__subnav {
  display: block;
}

.main-header__subnav {
  position: absolute;
  top: 100%;
  z-index: 1;
  min-width: 12rem;
  padding-top: 2rem;
  display: none;
}

.main-header__subnav::before {
  content: '';
  display: block;
  position: absolute;
  top: 2rem;
  right: 0;
  left: 0;
  bottom: 0;
  box-shadow: 0 0 28px rgba(6, 67, 117, 0.4);
}

.main-header__subnav::after {
  content: '';
  height: 12px;
  width: 12px;
  background: white;
  box-shadow: -2px -2px 4px rgba(6, 67, 117, 0.05);
  position: absolute;
  top: 21px;
  left: 2rem;
  transform: rotate(45deg) translateY(50%);
}

.mobile-nav {
  height: 0;
}

#mobile-nav-trigger:checked ~ .mobile-nav {
  height: 100vh;
  width: 100vw;
}

a[aria-expanded='true'] + ul {
  display: block;
}

/* headroom classes */
.main-header {
  will-change: transform;
  transition: transform 200ms linear;
}
.main-header--pinned {
  transform: translateY(0%);
}
.main-header--unpinned {
  transform: translateY(-100%);
}

/*----------------------------*\
  Extended Color
\*----------------------------*/
.lightest-gray,
.hover-lightest-gray:hover,
.hover-lightest-gray:focus {
  color: #fafafa;
}
.bg-lightest-gray,
.hover-bg-lightest-gray:hover,
.hover-bg-lightest-gray:focus {
  background-color: #fafafa;
}

.xeca,
.hover-xeca:hover,
.hover-xeca:focus {
  color: #e54443;
}
.bg-xeca,
.hover-bg-xeca:hover,
.hover-bg-xeca:focus {
  background-color: #e54443;
}

.anphuquy,
.hover-anphuquy:hover,
.hover-anphuquy:focus {
  color: #ff5500;
}
.bg-anphuquy,
.hover-bg-anphuquy:hover,
.hover-bg-anphuquy:focus {
  background-color: #ff5500;
}

.meadow,
.hover-meadow:hover,
.hover-meadow:focus {
  color: #0fbc7f;
}
.bg-meadow,
.hover-bg-meadow:hover,
.hover-bg-meadow:focus {
  background-color: #0fbc7f;
}

.white-lilac,
.hover-white-lilac:hover,
.hover-white-lilac:focus {
  color: #f7f9fc;
}
.bg-white-lilac,
.hover-bg-white-lilac:hover,
.hover-bg-white-lilac:focus {
  background-color: #f7f9fc;
}

/*----------------------------*\
  Icons
\*----------------------------*/

.icon.sm {
  transform: scale(0.8, 0.8);
}

.icon.lg {
  transform: scale(1.5, 1.5);
}

.icon.xl {
  transform: scale(1.8, 1.8);
}

.menu.icon {
  position: relative;
  margin-left: 2px;
  margin-top: 10px;
  width: 17px;
  height: 1px;
  background-color: currentColor;
}

.menu.icon:before {
  content: '';
  position: absolute;
  top: -5px;
  left: 0;
  width: 17px;
  height: 1px;
  background-color: currentColor;
}

.menu.icon:after {
  content: '';
  position: absolute;
  top: 5px;
  left: 0;
  width: 17px;
  height: 1px;
  background-color: currentColor;
}

.close.icon {
  position: relative;
  margin-top: 0;
  margin-left: 0;
  width: 21px;
  height: 21px;
}

.close.icon:before {
  content: '';
  position: absolute;
  top: 10px;
  width: 21px;
  height: 1px;
  background-color: currentColor;
  -webkit-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.close.icon:after {
  content: '';
  position: absolute;
  top: 10px;
  width: 21px;
  height: 1px;
  background-color: currentColor;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.subnav-icon {
  display: inline-block;
  width: 0.4rem;
  height: 0.4rem;
  border-right: 2px solid currentColor;
  border-bottom: 2px solid currentColor;
  -ms-transform: translateY(-3px) rotate(45deg);
  transform: translateY(-3px) rotate(45deg);
  margin-left: 0.5rem;
  margin-right: -0.4rem;
}

.subnav-icon.mobile {
  width: 0.75rem;
  height: 0.75rem;
  margin-right: -0.75rem;
}
